Your submission was sent successfully! Close

CVE-2014-2285

Published: 5 March 2014

The perl_trapd_handler function in perl/TrapReceiver/TrapReceiver.xs in Net-SNMP 5.7.3.pre3 and earlier, when using certain Perl versions, allows remote attackers to cause a denial of service (snmptrapd crash) via an empty community string in an SNMP trap, which triggers a NULL pointer dereference within the newSVpv function in Perl.

Priority

Medium

Status

Package Release Status
net-snmp
Launchpad, Ubuntu, Debian
lucid
Released (5.4.2.1~dfsg0ubuntu1-0ubuntu2.3)
precise
Released (5.4.3~dfsg-2.4ubuntu1.2)
quantal
Released (5.4.3~dfsg-2.5ubuntu1.1)
saucy
Released (5.7.2~dfsg-8ubuntu1.1)
upstream Needed